Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.io
Class SimpleBuffers

    java.lang.Object
      org.mortbay.io.SimpleBuffers

All Implemented Interfaces:
  Buffers

    public class SimpleBuffers

extends java.lang.Object
implements Buffers

SimpleBuffers. Simple implementation of Buffers holder.

Author:
  gregw

Constructor Summary
`SimpleBuffers(Buffer[] buffers)`

Method Summary
`Buffer` | `getBuffer(int size)`
`void` | `returnBuffer(Buffer buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBuffers

    public SimpleBuffers(Buffer[] buffers)

Method Detail

### getBuffer

    public Buffer getBuffer(int size)

  Specified by:
    `getBuffer` in interface `Buffers`

### returnBuffer

    public void returnBuffer(Buffer buffer)

  Specified by:
    `returnBuffer` in interface `Buffers`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.